Bug 252683 - Making biology/bowtie2 depend on onetbb
Summary: Making biology/bowtie2 depend on onetbb
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Jason W. Bacon
URL:
Keywords:
Depends on:
Blocks: 252648
  Show dependency treegraph
 
Reported: 2021-01-14 21:25 UTC by Ganael LAPLANCHE
Modified: 2021-02-20 13:52 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (jwb)
martymac: maintainer-feedback? (jwb)


Attachments
Patch to use onetbb (684 bytes, patch)
2021-01-14 21:25 UTC, Ganael LAPLANCHE
jwb: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ganael LAPLANCHE freebsd_committer 2021-01-14 21:25:17 UTC
Created attachment 221579 [details]
Patch to use onetbb

Hello,

As a maintainer of biology/bowtie2, could you have a look at PR #252648:

  https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=252648

In short, TBB version 2021 will soon be available as devel/onetbb and (good news!) the port you maintain seems to build correctly with that new version, see the following Poudriere run:

  http://box.martymac.org/FreeBSD-Packages/build.html?mastername=FBSD122amd64-tbb-migr&build=2021-01-13_22h35m17s

and build log:

http://box.martymac.org/FreeBSD-Packages/data/FBSD122amd64-tbb-migr/2021-01-13_22h35m17s/logs/bowtie2-2.4.2.log

Can you check the port and see if it is working as intended with the attached patch ?

If yes, please agree with the patch *by replying to this PR* (important), that will help me synchronize the changes.

To help you testing your port, expected patches to devel/tbb and devel/onetbb are available in PR #252648.

Thanks for your contribution,
Best regards,

Ganael.
Comment 1 Jason W. Bacon freebsd_committer 2021-01-15 20:24:19 UTC
Comment on attachment 221579 [details]
Patch to use onetbb

Approved.  Thanks for your hard work on this!
Comment 2 Ganael LAPLANCHE freebsd_committer 2021-01-16 14:16:21 UTC
Thanks Jason!

I am staging this patch for the switch, then.

Have a nice week-end,

Ganael.
Comment 3 commit-hook freebsd_committer 2021-01-30 17:40:44 UTC
A commit references this bug:

Author: jwb
Date: Sat Jan 30 17:39:53 UTC 2021
New revision: 563427
URL: https://svnweb.freebsd.org/changeset/ports/563427

Log:
  biology/bowtie2: Switch to devel/onetbb

  PR:             252683
  Submitted by:   martymac

Changes:
  head/biology/bowtie2/Makefile
Comment 4 commit-hook freebsd_committer 2021-01-30 17:44:46 UTC
A commit references this bug:

Author: jwb
Date: Sat Jan 30 17:43:56 UTC 2021
New revision: 563428
URL: https://svnweb.freebsd.org/changeset/ports/563428

Log:
  biology/bowtie2: Reverse switch to devel/onetbb

  Mistakenly believed onetbb was already committed

  PR:             252683

Changes:
  head/biology/bowtie2/Makefile
Comment 5 Ganael LAPLANCHE freebsd_committer 2021-01-31 10:21:52 UTC
Yes, I'll commit it with devel/onetbb introduction

Thanks !
Comment 6 commit-hook freebsd_committer 2021-02-19 15:15:03 UTC
A commit references this bug:

Author: martymac
Date: Fri Feb 19 15:14:55 UTC 2021
New revision: 566074
URL: https://svnweb.freebsd.org/changeset/ports/566074

Log:
  Introduce devel/onetbb and mark devel/tbb as legacy

  Intel oneAPI tbb 2021.1 (onetbb) has been released[1][2] and has deprecated
  several interfaces over tbb 2020, breaking most dependent ports.

  Old tbb 2020 will be kept for a certain time to allow transition but will be
  removed in a near future as it CONFLICTS with devel/onetbb. New ports should
  now use devel/onetbb instead of devel/tbb.

  We tried to move a maximum number of dependent ports to devel/onetbb (or
  disable dependency when not possible), but some of them still remain stuck
  to devel/tbb. Remaining ones have not been identified as major dependencies
  themselves and will be fixed as soon as updates are available from upstream.

  PR:		252648, 252688 [3], 252683 [4], 252651 [5], 252690 [3], 252693 [3],
  	252695 [3], 252696 [3], 252786 [3], 252649, 252868 [6], 252870 [5],
  	252684 [7], 252785 [7]
  Approved by:	yuri [3], jwb [4], thierry [5], FreeBSD@Shaneware.biz [6],
  	maintainer timeout [7]

  [1] https://software.intel.com/content/www/us/en/develop/articles/intel-oneapi-threading-building-blocks-release-notes.html
  [2] https://software.intel.com/content/www/us/en/develop/articles/tbb-revamp.html

Changes:
  head/archivers/par2cmdline-tbb/Makefile
  head/biology/bowtie2/Makefile
  head/cad/opencascade/Makefile
  head/devel/Makefile
  head/devel/onetbb/
  head/devel/onetbb/Makefile
  head/devel/onetbb/distinfo
  head/devel/onetbb/files/
  head/devel/onetbb/files/onetbb.pc.in
  head/devel/onetbb/files/patch-src-tbbbind-CMakeLists.txt
  head/devel/onetbb/files/patch-test-common-memory_usage.h
  head/devel/onetbb/files/patch-test-tbbmalloc-test_malloc_compliance.cpp
  head/devel/onetbb/pkg-descr
  head/devel/onetbb/pkg-plist
  head/devel/tbb/Makefile
  head/devel/tbb/pkg-descr
  head/graphics/blender/Makefile
  head/graphics/blender/Makefile.options
  head/graphics/blender/files/patch-intern_cycles_device_device__cpu.cpp
  head/graphics/blender/files/patch-intern_cycles_util_util__task.cpp
  head/graphics/blender/files/patch-intern_cycles_util_util__task.h
  head/graphics/blender/files/patch-intern_cycles_util_util__tbb.h
  head/graphics/blender/files/patch-source_blender_blenlib_BLI__index__range.hh
  head/graphics/blender/files/patch-source_blender_blenlib_BLI__task.h
  head/graphics/blender/files/patch-source_blender_blenlib_intern_task__pool.cc
  head/graphics/embree/Makefile
  head/graphics/oidn/Makefile
  head/graphics/opencv/Makefile
  head/graphics/openimageio/Makefile
  head/math/dune-common/Makefile
  head/math/dune-geometry/Makefile
  head/math/dune-grid/Makefile
  head/math/dune-pdelab/Makefile
  head/math/dune-uggrid/Makefile
  head/math/openturns/Makefile
  head/math/saga/Makefile
  head/math/suitesparse/Makefile
  head/misc/ngraph/Makefile
Comment 7 Ganael LAPLANCHE freebsd_committer 2021-02-19 21:02:18 UTC
Committed, thanks!
Comment 8 Jason W. Bacon freebsd_committer 2021-02-20 13:13:50 UTC
Thanks for the thorough work on this transition!
Comment 9 Ganael LAPLANCHE freebsd_committer 2021-02-20 13:52:26 UTC
Thanks for your help too!